blob: 1a07938368fb1e9f1fafd4085334ce95805ec50b [file] [log] [blame]
#!/bin/bash
set -e
set -x
set -o pipefail
#function cleanup {
# set +e
# docker kill zephyr
# docker rm zephyr
#}
#
#trap cleanup EXIT
cd $(dirname "$BASH_SOURCE")
# Needed for docker to work
chmod a+w zephyr/scripts/pylib/twister
chmod a+w build_overrides
docker run \
--name zephyr \
--rm \
-v $(pwd):/workdir \
-e ZEPHYR_TOOLCHAIN_VARIANT=zephyr \
-e BSIM_COMPONENTS_PATH=/opt/bsim/components \
-e BSIM_OUT_PATH=/opt/bsim \
-w /workdir \
ghcr.io/zephyrproject-rtos/zephyr-build:latest \
./run_tests.sh